App Control: The Installer Has Detected That You Are Running an Unsupported Kernel
search cancel

App Control: The Installer Has Detected That You Are Running an Unsupported Kernel

book

Article ID: 288553

calendar_today

Updated On:

Products

Carbon Black App Control (formerly Cb Protection)

Issue/Introduction

When attempting to install the Agent on a Linux endpoint, the installer displays a message similar to:

Checking that running kernel 5.14.0-362.8.1.el9_3.x86_64 is supported
The installer has detected that you are running an unsupported kernel 5.14.0-362.8.1.el9_3.x86_64.

Environment

  • App Control Agent: All Supported Versions
  • Linux: All Supported Versions

Cause

The Agent version being installed does not support the kernel version mentioned.

Resolution

Review the Linux Agent Operating Environment Requirements (OER) to confirm compatibility.

Additional Information

  • It is always recommended to verify the installed Agent supports the new kernel, prior to upgrading the kernel.
  • In some instances the error message will also indicate an installed kernel version exists that does support the Agent. Example:
    The installer has detected that you are running an unsupported kernel 5.14.0-362.8.1.el9_3.x86_64.
    The following supported kernels are on your system /boot/vmlinuz-5.14.0-284.11.1.el9_2.x86_64 /boot/vmlinuz-5.14.0-284.30.1.el9_2.x86_64
    You can boot into one of them and run the App Control installer again